%define anolis_release 2

%bcond_with perl_Net_Ping_enables_optional_test

Name:           perl-Net-Ping
Version:        2.75
Release:        %{anolis_release}%{?dist}
License:        GPL+ or Artistic
Summary:        Check a remote host for reachability
URL:            https://metacpan.org/release/Net-Ping/
Source0:        https://cpan.metacpan.org/authors/id/R/RU/RURBAN/Net-Ping-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  make coreutils
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(:VERSION) >= 5.2
BuildRequires:  perl(warnings) perl(strict) perl-interpreter perl-generators
# Run-time:
BuildRequires:  perl(IO::Socket::INET) perl(Fcntl) perl(FileHandle)
BuildRequires:  perl(vars) perl(Exporter) perl(constant) perl(Carp)
BuildRequires:  perl(Time::HiRes) perl(Socket) >= 2.007 perl(POSIX)
# Tests:
BuildRequires:  perl(Test::More) perl(Cwd) perl(File::Spec) perl(Config)

%if %{with perl_Net_Ping_enables_optional_test}
BuildRequires:  perl(IO::Socket) perl(:VERSION) >= 5.6 perl(Test::Pod) >= 1.22
%endif

Requires:       perl(IO::Socket::INET)
Suggests:       perl(Net::Ping::External)
Conflicts:      perl < 4:5.22.0-350

%description
This module contains methods to test the reachability of remote hosts on a network. 
A ping object is first created with optional parameters, a variable number of hosts 
may be pinged multiple times and then the connection is closed.

You may choose one of six different protocols to use for the ping. The "tcp" protocol 
is the default. Note that a live remote host may still fail to be pingable by one or 
more of these protocols. For example, www.microsoft.com is generally alive but 
not "icmp" pingable.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Net-Ping-%{version}

%build
unset PERL_CORE
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
unset AUTHOR_TESTING IS_MAINTAINER NET_PING_FAIL_IP PERL_TEST_Net_Ping \
    TEST_PING_HOST TEST_PING6_HOST
export NO_NETWORK_TESTING=1
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc TODO Changes README

%changelog
* Sat Apr 15 2023 yuanhui <yuanhui@linux.alibaba.com> - 2.75-2
- Optimize the spec file

* Mon Feb 06 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.75-1
- remove versioned MODULE_COMPAT_ requires
- update to version 2.75

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.74-2
- rebuild with perl 5.36.0

* Thu Apr 21 2022 mgb01105731 <mgb01105731@alibaba-inc.com> 2.74-1
- Init from upstream version 2.74
